Index: utils/runtime/argument.hpp
===================================================================
--- utils/runtime/argument.hpp	(revision 50403)
+++ utils/runtime/argument.hpp	(working copy)
@@ -35,6 +35,11 @@
 // **************              runtime::argument               ************** //
 // ************************************************************************** //
 
+#ifdef BOOST_MSVC
+#  pragma warning(push)
+#  pragma warning(disable:4244)
+#endif
+
 class argument {
 public:
     // Constructor
@@ -94,6 +99,10 @@
     return static_cast<typed_argument<T>&>( arg ).p_value.value;
 }
 
+#ifdef BOOST_MSVC
+#  pragma warning(pop)
+#endif
+
 //____________________________________________________________________________//
 
 } // namespace BOOST_RT_PARAM_NAMESPACE
Index: utils/runtime/cla/iface/id_policy.hpp
===================================================================
--- utils/runtime/cla/iface/id_policy.hpp	(revision 50403)
+++ utils/runtime/cla/iface/id_policy.hpp	(working copy)
@@ -34,6 +34,11 @@
 // **************             identification_policy            ************** //
 // ************************************************************************** //
 
+#ifdef BOOST_MSVC
+#  pragma warning(push)
+#  pragma warning(disable:4244)
+#endif
+
 class identification_policy {
 public:
     // Public properties
@@ -55,6 +60,10 @@
     BOOST_TEST_PROTECTED_VIRTUAL ~identification_policy() {}
 };
 
+#ifdef BOOST_MSVC
+#  pragma warning(pop)
+#endif
+
 } // namespace cla
 
 } // namespace BOOST_RT_PARAM_NAMESPACE
Index: utils/runtime/cla/named_parameter.ipp
===================================================================
--- utils/runtime/cla/named_parameter.ipp	(revision 50403)
+++ utils/runtime/cla/named_parameter.ipp	(working copy)
@@ -56,6 +56,11 @@
 
 //____________________________________________________________________________//
 
+#ifdef BOOST_MSVC
+#  pragma warning(push)
+#  pragma warning(disable:4244)
+#endif
+
 BOOST_RT_PARAM_INLINE bool
 string_name_policy::conflict_with( identification_policy const& id ) const
 {
@@ -87,6 +92,10 @@
     return false;    
 }
 
+#ifdef BOOST_MSVC
+#  pragma warning(pop)
+#endif
+
 //____________________________________________________________________________//
 
 BOOST_RT_PARAM_INLINE bool
